nhd=14
nrd=0
ncd=0
lin=0
tp=0
if(document.URL.indexOf("#")==-1 && document.URL.indexOf("cgi")==-1 )
{
	window.location.href = window.location.href
	url = document.URL+"#"
	location = "#"
	location.reload(true)
}
swapout()
	b1 = document.getElementById("actualizar");
	b2 = document.getElementById("consultar");
	b3 = document.getElementById("ejecutar");
	if(document.usuariosistema.elements[0].value!="") { b1.disabled=false; b2.hidden=true;document.usuariosistema.elements[0].readOnly=true }
	else b1.disabled=true
function change(chg)
{
switch (chg) {

case 1:
	b1 = document.getElementById("actualizar");
	if(document.usuariosistema.elements[chg].value!="") b1.disabled=false 
	else b1.disabled=true 
	b3 = document.getElementById("ejecutar");
	if(document.usuariosistema.elements[chg].value!="") b3.disabled=false 
	else b3.disabled=true 
	break
default:
 try {
	nchange(chg)
} finally  { return }
}

return
}
function closeform()
{
        swapin()
        fld=0
        if(botonpres=="Ejecutar") { b1.disabled=true ;  b2.disabled=true } 
        if(botonpres=="Consultar")
        {
                for(i=0;i<nhd+ncd;i++) if( document.usuariosistema.elements[i].value!="") fld=1
                return true
        }
        else return formvalid()
}
function cons(xx) { botonpres=xx.value }
function disf(x) { 
	if( document.usuariosistema.elements[0].value=="") {
                if(x.type=="text")  { x.type="date";x.value=ffec}
                else {ffec=x.value;x.type="text";x.placeholder="aaaa-mm-dd";x.value="";x.focus();x.select()}
        }
}

function chkbx(x)
{
        if(x.checked==true) x.value=1
        else x.value=0
}
function swapout()
{
	lev=tp*ncd
	ind=0
	for(i=0;i<lin*(ncd+1);i++)
		if (i%(ncd+1))
		{
			document.usuariosistema.elements[nrd*ncd+nhd+i].value=document.usuariosistema.elements[nhd+lev++].value
			if(document.usuariosistema.elements[nrd*ncd+nhd+i].type=="checkbox")
			if(document.usuariosistema.elements[nrd*ncd+nhd+i].value=="1") document.usuariosistema.elements[nrd*ncd+nhd+i].checked=true
			else document.usuariosistema.elements[nrd*ncd+nhd+i].checked=false
		}
		else document.usuariosistema.elements[nrd*ncd+nhd+i].value= (tp+1+ind < 10 ? '0' : '') + (tp+1+ind++)/1
}
function swapin()
{
	lev=tp*ncd
	for(i=0;i<lin*(ncd+1);i++) if (i%(ncd+1)) document.usuariosistema.elements[nhd+lev++].value=document.usuariosistema.elements[nrd*ncd+nhd+i].value
}
if (nrd) {
var slider = document.getElementById("scroll");
slider.oninput = function() {
x=this.value
if(this.value==x) scroll(this.value)
}
function scroll(r) { 
        swapin()
	tp=r/1
        if (tp < 0) { slider.value=nrd-lin;tp=nrd-lin}
        if (tp >nrd-lin) { slider.value=0;tp=0}
        swapout()
	return
}
}
function insert(rrow)
{
swapin()
row=nhd+nrd*ncd+rrow*(ncd+1)
rw=(document.usuariosistema.elements[row].value)-1
if(document.usuariosistema.elements[row+1].value !="")
if(document.usuariosistema.elements[nhd+(nrd-1)*ncd].value=="")
{
        swapin()
        for(i=nrd-1;i>rw;i--) for (j=0;j<ncd;j++)
        document.usuariosistema.elements[nhd+i*ncd+j].value=document.usuariosistema.elements[nhd+i*ncd+j-ncd].value
        for (j=0;j<ncd;j++) document.usuariosistema.elements[nhd+i*ncd+j].value=""
        swapout()
}
else alert ("NO PERMITE NUEVA INSERCION")
else
{
        swapin()
        for(i=rw; i<nrd-1;i++) for (j=0;j<ncd;j++)
        document.usuariosistema.elements[nhd+i*ncd+j].value=document.usuariosistema.elements[nhd+i*ncd+j+ncd].value
        for (j=0;j<ncd;j++)
        document.usuariosistema.elements[nhd+i*ncd+j].value=""
        swapout()
}
}
b1 = document.getElementById("actualizar");
b2 = document.getElementById("consultar");
if(document.usuariosistema.elements[0].value!="") { b1.disabled=false ;b2.disabled=true }
else 
if(b2.disabled=false) document.usuariosistema.elements[1].focus()
else document.usuariosistema.elements[0].focus()
for (i=0; i<nhd; i++) if(document.usuariosistema.elements[i].type=="checkbox")
                        if(document.usuariosistema.elements[i].value=="1") document.usuariosistema.elements[i].checked=true

